html,
body,
ul,
.top-wrapper_black,
.top-wrapper_yellow,
.top-wrapper-catalog,
.carousel-wrapper,
.main {
    margin: 0;
    padding: 0;
    width: 100%;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 14px;
}

.top-wrapper_black {
    background-color: #333333;
}

.top-header {
    height: 46px;
    color: #ffcc33;
    display: flex;
    justify-content: space-between;
}

.container {
    margin: 0 auto;
    width: 1250px;
}

.main {
    margin-top: 25px;
    display: flex;
}

.menu_black_header_left {
    list-style-type: none;
    display: inline-flex;
    height: 100%;
    align-items: center;
    width: auto;
}

.menu_black_header_items {
    color: rgb(255, 255, 255);
    text-decoration: none;
    margin: 0 26px 0 0;
    border-bottom: 1px solid rgba(255, 255, 255, .5);
    font-stretch: ultra-condensed;
}

.menu_black_header_items:hover {
    border: none;
    color: #ffcc33;
}

.menu_black_header_right {
    list-style-type: none;
    display: inline-flex;
    height: 100%;
    align-items: center;
    width: auto;
}

.menu_black_header_items_r {
    color: #ffcc33;
    text-decoration: none;
    margin-left: 3px;
    border-bottom: 0.2px solid #ffcc33;
}

.span_color {
    color: white;
    margin-right: 83px;
    cursor: pointer;
}

.top-wrapper_yellow {
    background-color: #ffcc33;
}

.bottom-header {
    height: 100px;
    background-color: #ffcc33;
    display: flex;
    justify-content: space-between;
}

.bottom-header-left {
    display: inline-flex;
}

.bottom-header-right {
    display: inline-flex;
}

.menu_yellow {
    width: auto;
    list-style-type: none;
    margin-left: 96px;
    color: black;
    font-size: 16px;
    line-height: 1.4;
    /* Флекс по ширине содержимого */
    display: inline-flex;
    /* Разворачиваю главную ось - по умолчанию была  row, делаю column */
    flex-direction: column;
    /* Центрирую вдоль главной оси */
    justify-content: center;
    /*  Выравнивание по второстепенной оси */
    align-items: flex-start;
}

.m_yellow {
    color: white;
    font-size: 18px;
    text-decoration: none;
    text-transform: uppercase;
    border-bottom: 1px solid white;
}

.friends {
    text-decoration: none;
    font-size: 18px;
    color: black;
    text-transform: uppercase;
    border-bottom: 1px solid #000;
}

.info {
    width: auto;
    display: inline-flex;
    flex-direction: column;
    margin: 10px 0 10px 0px;
    padding: 5px 15px 5px 0;
    border-right: 1px solid rgba(246, 244, 244, 1);
    align-items: flex-end;
    line-height: 1.2;
}

.tel {
    font-size: 33px;
    width: auto;
}

.phone {
    text-decoration: none;
    color: black;
    border-bottom: 1px dotted rgba(5, 5, 5, .5);
}

.basket {
    display: inline-flex;
    margin-left: 50px;
    align-items: center;
}

.icon {
    width: 50px;
    height: 50px;
    margin-right: 7px;
}

.basket-text {
    display: inline-flex;
    flex-direction: column;
    justify-content: center;
    line-height: 1.4;
    letter-spacing: .5px;
    font-size: initial;
}

.catalog-main {
    margin-left: 10px;
    margin-right: 0;
    width: auto;
}

.catalog {
    width: 240px;
    height: auto;
    box-sizing: border-box;
}

.catalog-icon {
    width: 20px;
    margin: 10px 12.5px;
}

.catalog-name-menu {
    width: 100%;
    height: 40px;
    background-color: #ffcc33;
    display: inline-flex;
    align-items: center;
}

.catalog-name {
    text-decoration: none;
    color: white;
    font-size: 18px;
    text-transform: uppercase;
}

.menu {
    list-style-type: none;
}

.list-menu {
    text-decoration: none;
    color: grey;
    /* margin: 0 40px 0 15px; */
    padding-top: 15px;
}

.sitebar-menu {
    /* box-sizing: border-box; */
    border: 1px solid rgba(128, 128, 128, .3);
    border-top: none;
    box-shadow: 0 0 5px rgba(128, 128, 128, .3);
}

.input-search {
    width: 750px;
    height: 40px;
    padding: 0;
    box-sizing: border-box;
    border: 1px solid #ffcc33;
}

.search-button {
    width: 240px;
    height: 40px;
    margin-left: 0;
    background-color: #ffcc33;
    color: white;
    text-transform: uppercase;
    border: 1px solid #ffcc33;
}

.sale {
    margin-top: 20px;
    width: auto;
    display: flex;
    justify-content: space-between;
}

.search {
    width: auto;
    display: inline-flex;
    margin-right: 0;
}

.product-carousel {
    width: 240px;
    height: 545px;
    border: 1px solid grey;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 10px;
    margin-top: 17px;
}

.all-products {
    color: black;
}

.petrovichjjot {
    font-size: 24px;
    font-weight: 900;
    margin-bottom: 0;
}

.header-product {
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.code {
    font-size: 12px;
    color: #666666;
}

.nal {
    color: #009933;
    text-decoration: none;
    border-bottom: 1px dotted #009933;
}

.product-name {
    color: black;
    text-decoration: none;
}

.product-price {
    width: 100%;
    font-size: 30px;
    font-weight: 600;
    justify-content: flex-end;
    display: flex;
    margin-bottom: 0;
}

.price-vol {
    font-size: 13px;
    justify-content: flex-end;
    display: flex;
    width: 100%;
    margin-top: 0;
}


/* ======================= Модальное окно, созданное динамически через JS ================ */

.modal-wrapper {
    position: fixed;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(5, 5, 5, .5);
    z-index: 99999999;
}

.close-modal {
    display: none;
}


/* ========================================================================================= */

@media (max-width: 1249px) and (min-width: 1000px) {
    .container {
        width: 1000px;
    }
}

@font-face {
    font-family: Montserrat;
    src: url(./fonts/montserrat-medium-webfont.woff) format('woff');
    src: url(./fonts/montserrat-medium-webfont.woff2) format('woff2');
    src: url(./fonts/Montserrat-Medium.ttf) format('truetype');
}

@font-face {
    font-family: Pangolin;
    src: url(./fonts/pangolin-regular-webfont.woff) format('woff');
    src: url(./fonts/pangolin-regular-webfont.woff2) format('woff2');
    src: url(./fonts/Pangolin-Regular.ttf) format('truetype');
}